質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.13%

ビルドして作成したPHPの環境でPHPコマンドでエラーが発生する。

受付中

回答 1

投稿

  • 評価
  • クリップ 1
  • VIEW 248

WAKSUGI

score 4

前提・実現したいこと

正常にPHPのコマンドが実行したい。

発生している問題・エラーメッセージ

PHPコマンドを実行すると、以下のエラーが発生します。

エラーメッセージ
php: relocation error: /opt/at10.0/lib64/power8/libpthread.so.0: symbol __libc_vfork, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

該当のソースコード

ソースコード

試したこと

postgresql、apatch、phpアプリケーションは問題なく動作しております。
「/opt/at10.0/lib64/power8」、「/opt/at10.0/lib64/power9」、「/opt/at10.0/lib64」配下のlibpthread.so.0を削除するとPHPコマンドは動くのですが、Postgresqlのコマンドが動作しません。

補足情報(FW/ツールのバージョンなど)

環境:OS:RedHat7.6(Maipo) カーネル:3.10.0-957.el7.ppc64le

環境作成順
Postgresql10(ttps://download.postgresql.org/pub/repos/yum/10/redhat/rhel-7.6-ppc64le/pgdg-redhat10-10-2.noarch.rpmをダウンロードしてyumでインストール)
Apatch2.4.6(yumでインストール)
yum updateを実行
PHP7.3.6(ソースコードよりビルドして作成)
作成コマンド:./configure --prefix=/usr/local/php-7.3.6  --with-apxs2=/usr/bin/apxs --enable-mbstring --with-pear=PREFIX/lib/php --enable-fpm --enable-mysqlnd --with-gd --enable-intl --with-pdo-pgsql=/usr/pgsql-10/bin --with-pgsql=/usr/pgsql-10/bin --with-libzip=/usr/local --with-openssl --with-openssl-dir=/usr/local/openssl

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • m6u

    2019/09/12 22:31

    php、なんでソースコードからやってるんだろう。remi's RPM repository使えば7.1~7.4まで簡単に組み込めるのに。 https://rpms.remirepo.net/wizard/

    キャンセル

  • m6u

    2019/09/12 22:34

    そのエラーメッセージをそのままネット検索したら、英文だけどいくつか関係しそうな情報があるので試してみてほしい。それでもわからなければ、試したことに追記の上で質問内容を見直してほしい。

    キャンセル

  • WAKSUGI

    2019/09/13 13:59

    カーネルがppc64leですが上記の方法は使えるのでしょうか。
    もともとyumでインストールしようとしたのですがそれらにppc64leがなかったのです

    キャンセル

回答 1

0

エラーメッセージをそのままネット検索します。

\[Solved\] relocation error: /lib64/libc.so.6: symbol _dl_starting_up 解決法 - Qiita

まだまだいろんなページが有るのですが、
libc.so.6がすり替わったためにコマンドが動けずにいる、
ってことらしいです。

ただ、この先は、正しいリンク先がどうなのか、経験がないためよくわかりませんので、
ネット検索で探ってみてほしい。
その状態で放置すると、次、ほかの/lib64/libc.so.6に依存するコマンドが動かなくなるので、
頑張って今直すことをお勧めしたい。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.13%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる